"""Helper functions to evaluate the output of algorithms."""

from gaitmap.evaluation_utils.event_detection import evaluate_stride_event_list
from gaitmap.evaluation_utils.parameter_errors import calculate_aggregated_parameter_errors, calculate_parameter_errors
from gaitmap.evaluation_utils.scores import f1_score, precision_recall_f1_score, precision_score, recall_score
from gaitmap.evaluation_utils.stride_segmentation import evaluate_segmented_stride_list, match_stride_lists

__all__ = [
    "evaluate_segmented_stride_list",
    "match_stride_lists",
    "precision_score",
    "recall_score",
    "f1_score",
    "precision_recall_f1_score",
    "evaluate_stride_event_list",
    "calculate_aggregated_parameter_errors",
    "calculate_parameter_errors",
]
